package domaine;

public class VoitureDeBase implements Voiture {
	private String marque;
	private String modele;
	private Carburant carburant;
	private float consommation;
	private int prix;
	public VoitureDeBase(String marque, String modele, Carburant carburant, float consommation, int prix) {
		this.marque = marque;
		this.modele = modele;
		this.carburant = carburant;
		this.consommation = consommation;
		this.prix = prix;
	}
	public String marque() { return marque; }
	public String modele() { return modele; }
	public String carburant() { return carburant.name(); }
	public float consommation() { return consommation; }
	public int prix() { return prix; }
	public String toString() {
		return marque + " " + modele + ", " + carburant;
	}
}
